WebApp/WebApp/Models/ErrorViewModel.cs
using System;

namespace WebApp.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

WebApp/WebApp/Models/Person.cs
using System.ComponentModel.DataAnnotations;

namespace WebApp.Models
{
    public class Person
    {
        public string Firstname { get; set; }
        [StringLength(50, MinimumLength = 3)]
        public string Lastname { get; set; }
    }
}

WebApp/WebApp/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using WebApp.Models;

namespace WebApp.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

WebApp/WebApp/Controllers/PersonController.cs
using System;
using Microsoft.AspNetCore.Mvc;
using WebApp.Models;

namespace WebApp.Controllers
{
    // https://localhost:5001/Person
    public class PersonController : Controller
    {
        // GET
        public IActionResult Index(Person p)
        {
            if (String.IsNullOrEmpty(p.Lastname))
                p = new Person() { Firstname = "Jan", Lastname = "Janssens" };
            
            // (1) ViewData-/ViewBag-data
            ViewData["Firstname"] = p.Firstname;
            ViewBag.Lastname = p.Lastname;
            
            // (2) Model-data
            return View(p);
        }

        [HttpGet]
        public IActionResult Edit(int id, Person person)
        {
            // data ophalen obv id
            
            return View(person);
        }
        [HttpPost]
        public IActionResult Edit(Person person)
        {
            if (!ModelState.IsValid)
            {
                return View(person);
            }
            
            // persisteer
            
            //return View("Index", person);
            return RedirectToAction("Index", person);
        }
    }
}

WebApp/WebApp/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

WebApp/WebApp/Views/Person/Edit.cshtml
@model Person

@{
    ViewBag.Title = "Edit person";
    /*Layout = "_Layout";*/
}

<h2>Edit person</h2>
<form action="/Person/Edit" method="POST">
    Firstname: <input name="firstname" value="@Model.Firstname"><br/>
    Lastname: <input name="lastname" value="@Model.Lastname"><br/>
    <input type="submit" value="Verzenden">
</form>
<hr/>
<form asp-controller="Person" asp-action="Edit" method="POST">
    Firstname: <input asp-for="Firstname"><span asp-validation-for="Firstname"></span><br/>
    Lastname: <input asp-for="Lastname"><span asp-validation-for="Lastname"></span><br/>
    <div asp-validation-summary="All"></div>
    <input type="submit" value="Verzenden">
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial"/>
}

WebApp/WebApp/Views/Person/Index.cshtml
@model Person

@{
    ViewBag.Title = "Person info";
    /*Layout = "_Layout";*/
}

<h2>Person info</h2>
<p>Firstname: @(ViewBag.Firstname)</p>
<p>Lastname: @ViewData["Lastname"]</p>
<br/>
<p>Firstname: @Model.Firstname</p>
<p>Lastname: @Model.Lastname</p>
<br/>
<a href="/Person/Edit?firstname=@Model.Firstname&lastname=@Model.Lastname">Edit person</a>

WebApp/WebApp/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>@ViewData["Title"] - WebApp</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="~/css/site.css"/>
</head>
<body>
<header>
    <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
        <div class="container">
            <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">WebApp</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                <ul class="navbar-nav flex-grow-1">
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>
<div class="container">
    <main role="main" class="pb-3">
        @RenderBody()
    </main>
</div>

<footer class="border-top footer text-muted">
    <div class="container">
        &copy; 2021 - WebApp - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
    </div>
</footer>
<script src="~/lib/jquery/dist/jquery.min.js"></script>
<script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
<script src="~/js/site.js" asp-append-version="true"></script>
@await RenderSectionAsync("Scripts", required: false)
</body>
</html>